<div class="wrapper-container" [class.wrapper-is-mobile]="mobileQuery.matches">
  <mat-toolbar color="primary" class="wrapper-toolbar">
    <button mat-icon-button (click)="toggleSideMenu()">
      <mat-icon>apps</mat-icon>
    </button>
    <div routerLink="/" class="product-name d-none d-sm-block ml-2">{{'app.productName' | translate }}</div>
    <div class="ml-5 page-header">{{'app.routingTitles.' + title | translate }}</div>
    <span class="spacer"></span>
    <button mat-icon-button [matMenuTriggerFor]="menu" class="user-button">
      {{'app.menu.title' | translate}}
    </button>
    <mat-menu #menu="matMenu" [overlapTrigger]="false">
      <button mat-menu-item hidden>
      </button>
      <button mat-menu-item (click)="changeLanguage('en')">
        <mat-icon>info</mat-icon>
        <span>English</span>
      </button>
      <button mat-menu-item (click)="changeLanguage('ar')">
        <mat-icon>info</mat-icon>
        <span>عربي</span>
      </button>
    </mat-menu>
  </mat-toolbar>

  <mat-sidenav-container autosize [dir]="dir" class="wrapper-sidenav-container" [style.marginTop.px]="mobileQuery.matches ? 56 : 0">

    <mat-sidenav *ngIf="this.isPageLoaded" #snav class="wrapper-sidenav" [mode]="mobileQuery.matches ? 'over' : 'side'"
                 [fixedInViewport]="mobileQuery.matches"
                 fixedTopGap="56" [opened]="!mobileQuery.matches">

      <app-side-menu [router]="router" [sidenav]="snav"
                     [mobileQuery]="mobileQuery">
      </app-side-menu>
    </mat-sidenav>

    <mat-sidenav-content class="sidenav-outlet">
      <div class="container content">
        <!--        <app-breadcrumb></app-breadcrumb>-->
        <router-outlet></router-outlet>
      </div>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
